Page MenuHomePhabricator

Test PageAssessements on test.wikipedia
Closed, ResolvedPublic2 Story Points

Description

Once testing is complete on Beta Labs, we should activate PageAssessments on test.wikipedia and do further QA testing.

Extension documentation:
https://www.mediawiki.org/wiki/Extension:PageAssessments
https://meta.wikimedia.org/wiki/Community_Tech/PageAssessments

Event Timeline

kaldari created this task.Jun 15 2016, 7:40 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 15 2016, 7:40 PM
DannyH set the point value for this task to 2.Jun 16 2016, 5:06 PM
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.

Change 296819 had a related patch set uploaded (by Kaldari):
Moving PageAssessments from extension-list-labs to extension-list

https://gerrit.wikimedia.org/r/296819

Change 296819 merged by jenkins-bot:
Moving PageAssessments from extension-list-labs to extension-list

https://gerrit.wikimedia.org/r/296819

Change 297516 had a related patch set uploaded (by Kaldari):
Test PageAssessments extension on test.wikipedia.org

https://gerrit.wikimedia.org/r/297516

Change 297516 merged by jenkins-bot:
Test PageAssessments extension on test.wikipedia.org

https://gerrit.wikimedia.org/r/297516

kaldari added a subscriber: greg.Jul 6 2016, 12:11 AM

@greg: Can we get your blessing for moving this to production and schedule a deployment to test.wikipedia.org? It was security reviewed by Chris back in December (T120220) and was tested on Beta Labs last month (T125551). It has no user facing components other than 2 APIs and a parser function.

kaldari updated the task description. (Show Details)Jul 6 2016, 12:13 AM
greg added a comment.Jul 6 2016, 3:10 PM

Sure. Pick a time and either edit the deployment calendar or let me know. (also "Beta Cluster" :P ).

Change 297687 had a related patch set uploaded (by Kaldari):
Test PageAssessments extension on test.wikipedia.org

https://gerrit.wikimedia.org/r/297687

Change 297687 merged by jenkins-bot:
Test PageAssessments extension on test.wikipedia.org

https://gerrit.wikimedia.org/r/297687

Mentioned in SAL [2016-07-06T23:25:05Z] <legoktm@tin> Synchronized wmf-config: Test PageAssessments extension on test.wikipedia.org - T137918 (duration: 00m 36s)

kaldari closed this task as Resolved.Jul 7 2016, 12:25 AM
DannyH moved this task from Estimated to Archive on the Community-Tech board.Jul 19 2016, 6:12 PM